Bio::Tools::Motif::Pattern(3pm)

NAME
  Bio::Tools::Motif::Pattern - Represents a pattern used by the
  Bio::Tools::Motif module.

SYNOPSIS
  use Bio::Tools::Motif::Pattern;

  # Create a new object.
  $m = new Bio::Tools::Motif::Pattern(-motifid => 'P07110',
                                      -localization => 'OuterMembrane',
                                      -regexp => '(GG.G.D.*){4}',
                                      -comment => 'FIMBRIAL_USHER Pattern');

  # Accessor methods.
  $val = $m->motif_id();
  $val = $m->localization();
  $val = $m->regexp();
  $val = $m->comment();

AUTHOR
Cory Spencer <cspencer@sfu.ca>

SEE ALSO
  Bio::Tools::Motif

ACKNOWLEGEMENTS
Thanks go out to Fiona Brinkman, Jennifer Gardy and the other members of the Simon Fraser University Brinkman laboratory.